Delete PDF Pages
Easily remove one or more pages from your PDF documents. Use our visual tool to select and delete pages. Simple, fast, and free.
Accepted formats
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| files[] | file | Yes | File(s) to convert |
| page_range | string | Yes | Pages to delete (e.g. 1-3,5). Required — an empty range cannot succeed. |
Code example
curl -X POST "https://gurupdf.com/api/v1/convert/delete-pages" \
-H "Authorization: Bearer YOUR_API_KEY" \
-F "files[]=@/path/to/document.pdf"